Subject: [v6ops] draft minutes, ietf84 friday 0900

From: joel jaeggli <[email-masked]>
Date: Sun, 12 Aug 2012 14:37:53 -0700

Friday  August 3nd

Semantic IPv6 Prefix
16-Jul-12, <draft-jiang-semantic-prefix>
http://tools.ietf.org/agenda/84/slides/slides-84-v6ops-4.pdf

George M -
outside of your locous of control it can't be trusted -

fred -
help me understand the semantics of ip addressing
at a car manufacturer, they want to embedd the vin number or building number
they don't seem to have the same problems as you're looking at.

Give me a use case

Jaing -

they have a different understanding of use case

George M-
a pragmatic dicision was made to walk from the tla model.
there was an architure that put proscriptive labels on addresses

Wes G -
Renumbering is not an easy thing

difficulty of merging two addressing planes

Dan Y -
You have a security section with no security considerations.

Tim C -
at the heart of it an address planning issue.

pros/cons for this sort of approach.

kk -
Implied suggestion that applications become aware of address semantics. 
Seem like a really bad idea.

fred -
As soon sa you put semantics in an address by defintion you're revealing 
information.

NAT64 Operational Experiences
4-Jul-12, <draft-chen-v6ops-nat64-experience>
http://tools.ietf.org/agenda/84/slides/slides-84-v6ops-2.pdf

Cameron Byrne presenting

Dan Y - thinks it's goo to have a document like this
we know this in operational use

Wes george -
would I recomend it?
compared to nat444 absolutely
inherent mistrust of things that don't perpetuate what we've already done
yes this does work. it's not a corner case.

  cb -
  6145 46 44 great for box builders
this doc sets this in context for an operational network

  dan york -
  I think it's exactly the sort of doc we should have

Fred B -
right now not a wg document do we want to do that
hum (many in favor) (none opposed.)

Cameron B -
I'd say it needs more work prioro to last call

464XLAT: Combination of Stateful and Stateless Translation
2-Jul-12, <draft-ietf-v6ops-464xlat>
http://tools.ietf.org/agenda/84/slides/slides-84-v6ops-5.pdf

lorenzo c-
didn't understand the distinction can you explain
the clat is assigned a real v6 address where the dest is synthesized

fred b -
as one of the authors of 6052 - I might have to do a stateful thing or I 
imght have an embdded v4 address
there's a neccestiy packets go to the service to which they are intended

Remi D -
Question on the iana section

Ron B -
It's fine

lorenzo c -
it's fine and it came from your request for a special interface id
if it's a procedural problem then we can not do it.

Remi D -
keeping it simlifies the design.

On the question of bcp vs informational

Lorenzo C -
You don't have to do dap?(DAD) for those address because they're reserved.
I don't have strong opinion.

Remi D -
double translation loses transparency.

Cameron B-
We have taken care in the document that this is not the greatest 
solution but it fills the gap.
This is a way to operationalize nat64 dns64 to meet our customers needs.

Lorenzo C -
The work in softwire is higher quality but it's signficantly harder to 
deploy.
lets unblock turning on v6 in the network.

Lorenzo C-
It is the best current practice within a narrow usage case -

dave thayler -
Nothing new to speficy new or algorythms.
do this, bcp

Fred B -
if it goes bcp it's bcp in a use case.

applicabiltiy statement.

Ron B -
put the statement in the bcp

Fred -
  we did adopt this as a wg document.

hum  we'll take this to wg last call
(some in favor none opposed.)
hum in favor of bcp/informational/experimental

some for bcp some for informational none for experimental

IPv6 over ATM Interworking Function
16-Jul-12, <draft-zhang-v6ops-ipv6oa-iwf>
http://tools.ietf.org/agenda/84/slides/slides-84-v6ops-3.pdf

Fred B - question - internet architecturel has a defined internetworking 
function (a router) which you didn't use.

Zhang -
don't know how to answer this

Wes G -
Where did you find a dslam that does atm but speaks ipv6

Zhang -
Came from from china telecom

Lorenzo C -
A large number of these devices are doing ipoe which doesn't support v6. 
I think you might be willing to replace the bng and do you want.

Fred B -
I will invite you to discuss it on the list.